package com.application;

import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.layout.StackPane;
import javafx.stage.Stage;

public class Main extends Application {
    Button button;
    public static void main(String[] args) {
        //System.out.println("Hello world!");
        launch(args);
    }

    /**
     * Main javafx code
     * Stage = The whole window
     * Scene = Content inside the stage. Put buttons and dropdown stuff
     * @param primaryStage
     * @throws Exception
     */
    @Override
    public void start(Stage primaryStage) throws Exception {

        // Sett title in top left of the stage
        primaryStage.setTitle("Moelven Drying Application");

        // Creates a button
        button = new Button();
        button.setText("Click me");
        button.setOnAction(e->System.out.println("Button was clicked"));

        // Creates a stackpane, attaches the button to the
        StackPane layout = new StackPane();
        layout.getChildren().add(button);

        Scene scene = new Scene(layout, 300, 250);
        primaryStage.setScene(scene);
        primaryStage.show();
    }
}

